/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

@font-face {
  font-family: "fira";
  src: url("https://collieotter.neocities.org/FiraCode-Regular.ttf");
}

@font-face {
  font-family: "bitc";
  src: url("https://collieotter.neocities.org/Bitcount-Regular.ttf");
}

/* glow */

.glow {
  color: #fff;
  text-align: center;
  -webkit-animation: glow 1s ease-in-out infinite alternate;
  -moz-animation: glow 1s ease-in-out infinite alternate;
  animation: glow 1s ease-in-out infinite alternate;
}

@-webkit-keyframes glow {
  from {
    text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #e60073, 0 0 40px #e60073, 0 0 50px #e60073, 0 0 60px #e60073, 0 0 70px #e60073;
  }
  to {
    text-shadow: 0 0 20px #fff, 0 0 30px #ff4da6, 0 0 40px #ff4da6, 0 0 50px #ff4da6, 0 0 60px #ff4da6, 0 0 70px #ff4da6, 0 0 80px #ff4da6;
  }
}

/* general */

body {
  margin: 0px;
  padding: 0px;
  background-image:  
    url("https://collieotter.neocities.org/tree6.png"), 
    url("https://collieotter.neocities.org/tree6.png"), 
    url("https://collieotter.neocities.org/stars.png"), 
    url("https://collieotter.neocities.org/stars2.png"), 
    url("https://collieotter.neocities.org/water.gif"),
    linear-gradient(to left bottom, #7823c6, #7f2cca, #8735ce, #8e3dd2, #9545d6, #b53ecb, #cf37be, #e435b0, #fe368a, #ff4f67, #ff6e47, #f48c2e),
    url("https://collieotter.neocities.org/animation.png");
  
  background-color: rgba(255, 30, 65, .75);
  background-blend-mode: hard-light, multiply, overlay, overlay, multiply, multiply, lighten;
  background-size: 100% auto, 100% auto, auto, auto, auto, cover, auto;
  background-repeat: no-repeat, no-repeat, no-repeat, no-repeat, repeat, no-repeat, no-repeat;
  background-attachment: fixed;
  
  color: white;
  font-family: fira;
  text-align: center;
}

#bio {
  /*margin-left: 20%; */
  /*margin-right: 20%; */
  padding-left: 20%; 
  padding-right: 20%; 
}

h2 {
  font-size: 125%;
  text-shadow: #ffcc00 1px 0 5px;
}

img {
  opacity: 0.5;
}

img:hover {
  opacity: 1.0;
}

/* HEADERS */

h1 {
  font-family: bitc;
  background-color:rgba(88, 34, 164, 0.6);
  width: 100%;
  height: 10%;
  margin: 0px;
  padding: 0px;
  padding-top: 1%;
  padding-bottom: 1%;
  border-style: hidden hidden inset hidden;
}

/* STUFF ABOUT LINKS / ETC */

.container {
  background-color:rgba(88, 34, 164, 0.6);
  /*border-radius: 25px;*/
  display: inline-flex;
  border-style: inset;
  border-radius: 25% 10%;
  padding-left: 10px;
  padding-right: 10px;
}
ul {
  text-align: left;
  white-space: nowrap;
}
#listy {
  position: relative;
  left: -10px;
}
a:link {
  cursor: url("https://collieotter.neocities.org/paw.png"), auto;
  color: rgba(152, 93, 235, 1);
}
a:visited {
  cursor: url("https://collieotter.neocities.org/paw.png"), auto;
  color: rgba(135, 114, 166, 1);
}

a:hover {
  color: rgba(255, 255, 255, 1);
}

/* FOOTERS / ETC */

footer { 
  position: fixed; 
  bottom: 0; 
  margin: 0px;
  padding: 0px;
}
 
 
#hosted{
  position: absolute;
  bottom: 80px;
  right: 10px;
  cursor: url("https://collieotter.neocities.org/paw.png"), auto;
}

#ambient{
  position: absolute;
  bottom: 10px;
  right: 10px;
  cursor: url("https://collieotter.neocities.org/paw.png"), auto;
  opacity: 0.25;
}
#ambient:hover{
  opacity: 0.5;
}


/*
Animated
Stuff
*/

/* https://stackoverflow.com/a/77985588 */
/* Core functionality */
#animated-text-strip {
  overflow: hidden;
  border-style: inset hidden hidden hidden;
  background-color: rgba(88, 34, 164, 0.36);
  padding: 1rem 0;
  width: 100%;
}

.marquee-track {
  display: flex;
  width: max-content;
  animation: marquee 30s linear infinite;
}

.marquee-track span {
  flex-shrink: 0;
  white-space: nowrap;
  font-family: bitc;
  font-size: 2rem;
  font-weight: 900;
  color: white;
  text-shadow: 1px 1px 2px #AA336A;
}

@keyframes marquee {
  0% { transform: translateX(0); }
  100% { transform: translateX(-50%); }
}
